;--------------------------------------------------------------------
; Author       : Kevin Dahl                                         :
; Last Revised : June 7, 1986                                       :
;                                                                   :
; FILENAME - V9.ENH                                                 :
;                                                                   :
; GETCURSORSIZE                                                     :
;        Get the starting and ending scan lines for the cursor      :
;                                                                   :
; EXIT                                                              :
;        AH - starting scan line                                    :
;        AL - ending scan line                                      :
;--------------------------------------------------------------------
getcursorsize proc      near
              push      bp                       ; save stack
              mov       bp,sp
              mov       ah,0fh                   ; get current video mode
              int       10h                      ; use BIOS services
              mov       ah,3                     ; read cursor information
              int       10h                      ; use BIOS services
              mov       ax,cx
              mov       sp,bp                    ; restore stack
              pop       bp
              ret       2                        ; remove params from stack
getcursorsize endp
